# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           c3p0
Version:        0.9.1.2
Release:        2%{?dist}
Epoch:          0
Summary:        JDBC DataSources/Resource Pools
License:        LGPLv2+
Group:          Development/Libraries/Java
URL:            http://sourceforge.net/projects/c3p0/
Source0:        http://downloads.sourceforge.net/sourceforge/c3p0/c3p0-0.9.1.2.src.tgz
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  ant-nodeps
#BuildRequires:  junit
Requires:       %{_sbindir}/update-alternatives
Provides:       hibernate_jdbc_cache
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
c3p0 is an easy-to-use library for augmenting 
traditional (DriverManager-based) JDBC drivers 
with JNDI-bindable DataSources, including 
DataSources that implement Connection and Statement 
Pooling, as described by the jdbc3 spec and jdbc2 
standard extension.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}.src
find . -name "*.jar" | xargs rm

%build
#export CLASSPATH=$(build-classpath \
#junit)
#ant -Dbuild.sysclasspath=first open-dist stats-test benchmark-test load-test psload-test refser-test
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-nodeps"
ant -Dbuild.sysclasspath=first open-dist 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.bin/lib/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# hibernate_jdbc_cache ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/hibernate_jdbc_cache.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/update-alternatives --install %{_javadir}/hibernate_jdbc_cache.jar \
  hibernate_jdbc_cache %{_javadir}/%{name}.jar 20

%preun
{
  [ $1 -eq 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove hibernate_jdbc_cache %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%files
%defattr(0644,root,root,0755)
%doc src/dist-static/LICENSE src/doc/index.html
%{_javadir}/*
%ghost %{_javadir}/hibernate_jdbc_cache.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Aug 06 2008 David Walluck <dwalluck@redhat.com> 0:0.9.1.2-2
- BuildRequires: ant-nodeps

* Wed Aug 06 2008 David Walluck <dwalluck@redhat.com> 0:0.9.1.2-1
- 0.9.1.2

* Thu Jan 05 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.9.0-2jpp
- First JPP 1.7 build

* Mon Sep 19 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.9.0-1jpp
- Upgrade to 0.9.0

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.4.1-3jpp
- Build with ant-1.6.2
- junit not used for now 

* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.4.1-2jpp
- Relax some versioned dependencies
- Provide hibernate_jdbc_cache and do update-alternatives, prio 10

* Sat Feb 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.4.1-1jpp
- First JPackage release.
